--Table
MenuState = {}

--New
function MenuState:new()
	local gs = {}

	gs = setmetatable(gs, self)
	self.__index = self
	_gs = gs
	
	return gs
end

--Load
function MenuState:load()
	MenuBackground = love.graphics.newImage("TurtleWarsMenubackground.png")
end

--Close
function MenuState:close()
end

--Enable
function MenuState:enable()
end

--Disable
function MenuState:disable()
end

--Update
function MenuState:update(dt)
end

--Draw
function MenuState:draw()
	love.graphics.draw(MenuBackground, 0, 0)
end

--KeyPressed
function MenuState:keypressed(key, unicode)
	if key == " " then
		enableState("game")
		disableState("menu")
	end
end

--KeyRelease
function MenuState:keyrelease(key, unicode)
end

--MousePressed
function MenuState:mousepressed(x, y, button)
	if x >= 106 and x <= 106 + 190 and
		y >= 500 and y <= 500 + 100 then
			disableState("menu")
			enableState("game")
		end
	if x >= 301 and x <= 301 + 192 and
		y >= 500 and y <= 500 + 100 then
			disableState("menu")
			enableState("pause")
		end
	if x >= 498 and x <= 498 + 198 and
		y >= 500 and y <= 500 + 100 then
			love.event.push ( "quit" )
	end	
end

--MouseReleased
function MenuState:mousereleased(x, y, button)
end

